
//floor inlay 

    #declare Opposite=sin(radians(45))*(BaseRadius*.99);   //BaseRadius-10  
    #debug #concat ("\n\n\n Opposite: ", str(Opposite,1,5))                     
    #declare TileSize = Opposite/4;

    #declare Fill =  
    pigment { 
      crackle 
      scale .02 
      turbulence .1 
      pigment_map{
        [0 rgb DustyRose+<.25,0,0>]                
        [.2 rgb DustyRose+<.25,0,0>]
        [.4 rgb 0] 
      } 
    };
        
    #declare OuterFill = 
    pigment { 
      hexagon
      pigment { rgb (Gold+.5)/1.5 }
      pigment { rgb Silver }
      pigment {  
        hexagon
        pigment { rgb Copper }
        pigment { rgb .3 }
        pigment { rgb Silver }
        scale .65 
      }
      scale .125
      turbulence 4 
    };   
      
    /*             
    #declare Checker1 =   
    pigment { 
      hexagon
      pigment { rgb Gold }
      pigment { rgb Silver }
      pigment {  
        hexagon
        pigment { rgb Brass }
        pigment { rgb 0 }
        pigment { rgb Silver }
        scale .5 
      }
      scale .3
      turbulence 2.5 
    };                    
    #declare Checker2 = 
    pigment { 
      hexagon
      pigment { rgb (DarkSlateGray+<.7,1,.7>)/2 }
      pigment { rgb Silver }
      pigment {  
        hexagon
        pigment { rgb Silver }
        pigment { rgb <.2,.2,.6> }
        pigment { rgb Silver }
        scale .5 
      }
      scale .1
      turbulence 3.5 
    }; 
    */
      
    #declare Checker1 =    
    pigment {
      image_map { jpeg "earth_day.jpg"  } 
      rotate x*90
    };
      
    #declare Checker2 =   
    pigment {
      image_map { jpeg "earth_night.jpg"  }
      rotate x*90
    };      
        
    #declare OuterLine = <0,0,0>;    
    #declare InnerLine = <.65,.65,.4>;        
      
  
      
    #declare L1 = .04;      //.10;  
    #declare L2 = .06;      //.12;  
    #declare H2 = .94;      //.88;  
    #declare H1 = .96;      //.90;  
      
       
    #declare M_Inlaid_Floor = 
    material {      
      texture {
        pigment {   
          pigment_pattern {boxed} 
          scale Opposite 
          pigment_map{  
            [ .000 
              OuterFill scale TileSize/Opposite
            ]  
            [ .000 
              rgb OuterLine
            ]          
            [ .005 
              rgb OuterLine
            ]    
            [ .005 
              pigment_pattern {gradient x} 
              scale 2*TileSize/Opposite
              pigment_map{
                [L1  Fill
                      scale 2*TileSize/Opposite
                ]
                [L1
                  pigment_pattern {gradient z}  
                  scale 2*TileSize/Opposite
                  pigment_map{
                    [L1   Fill]
                    [L1 rgb InnerLine]
                     
                    [H1 rgb InnerLine]
                    [H1   Fill]
                  } 
                  
                ]  
                [L2 
                  pigment_pattern {gradient z}   
                  scale 2*TileSize/Opposite
                  pigment_map{
                    [L1   Fill]
                    [L1 rgb InnerLine]
                     
                    [H1 rgb InnerLine]
                    [H1   Fill]
                  } 
                ]
                [L2
                  pigment_pattern {gradient z} 
                  scale 2*TileSize/Opposite
                  pigment_map{
                    [L1   Fill
                    ] 
                    [L1 rgb InnerLine
                    ]
                    [L2 rgb InnerLine
                    ]
                    [L2
                      checker 
                      pigment { Checker1 }
                      pigment { Checker2 }
                      scale <2,1,1>*4*TileSize/Opposite 
                    ] 
                    [H2
                      checker
                      pigment { Checker1 }
                      pigment { Checker2 }
                      scale <2,1,1>*4*TileSize/Opposite 
                    ]
                    [H2
                      rgb InnerLine
                    ] 
                    [H1
                      rgb InnerLine
                    ]
                    [H1
                        Fill
                    ]
                  }
                ]
                [H2
                  pigment_pattern {gradient z} 
                  scale 2*TileSize/Opposite
                  pigment_map{
                    [L1   Fill
                    ] 
                    [L1 rgb InnerLine
                    ]
                    [L2 rgb InnerLine
                    ]
                    [L2
                      checker
                      pigment { Checker1 }
                      pigment { Checker2 }
                      scale <2,1,1>*4*TileSize/Opposite 
                    ] 
                    [H2
                      checker
                      pigment { Checker1 }
                      pigment { Checker2 }
                      scale <2,1,1>*4*TileSize/Opposite 
                    ]
                    [H2
                      rgb InnerLine
                    ] 
                    [H1
                      rgb InnerLine
                    ]
                    [H1
                        Fill
                    ]
                  }
                ]
                [H2 
                    pigment_pattern {gradient z} 
                    scale 2*TileSize/Opposite
                    pigment_map{
                      [L1   Fill]
                      [L1 rgb InnerLine]
                       
                      [H1 rgb InnerLine]
                      [H1   Fill]
                    } 
                ] 
                [H1
                    pigment_pattern {gradient z}
                    scale 2*TileSize/Opposite
                    pigment_map{
                      [L1   Fill]
                      [L1 rgb InnerLine]
                       
                      [H1 rgb InnerLine]
                      [H1   Fill]
                    } 
                ]
                [H1   Fill 
                      scale 2*TileSize/Opposite
                ]
              }//pigment_map
            ]  
          }//pigment_map
        }//pigment
        finish {
          ambient 1
          diffuse 1
          specular .4
          roughness .001  
          reflection { .1 .3 }
        } 
      }//texture
    };//material   
    